Reply to topic

Marble 1.3.0 won't run on Mac OS X 10.6.8

dionhar
Registered Member
Posts
5
Karma
0
I've tried to get Marble 1.3.0 to run on OS X 10.6.8 but when I try to open the app I get the following message:
"Marble cannot be opened because of a problem.
Check with the developer to make sure Marble works with this version of Mac OS X. You may need to reinstall the application. Be sure to install any available updates for the application and Mac OS X.
"

Any help appreciated
User avatar bcooksley
Administrator
Posts
18642
Karma
83
OS
Where did you download this from?
Also, is this the latest version available?


System Settings and Device Actions KCM maintainer
Image
dionhar
Registered Member
Posts
5
Karma
0
Hi bcooksley,
I downloaded it from http://edu.kde.org/marble/download.php
Its the latest version for the mac.
Is this the right place for questions about marble on the mac?
dionhar
Registered Member
Posts
5
Karma
0
Ok I think I may have found the reason for this issue.
When Marble fails to open it creates a crash report. Im that report there is an error:
Code: Select all
Dyld Error Message:
  Symbol not found: _kCFWebServicesProviderDefaultDisplayNameKey
  Referenced from: /Applications/Marble.app/Contents/MacOS/../Frameworks/QtWebKit.framework/Versions/4/QtWebKit
  Expected in: /System/Library/Frameworks/CoreFoundation.framework/Versions/A/CoreFoundation


When I searched the phrase
Code: Select all
Dyld Error Message _kCFWebServicesProviderDefaultDisplayNameKey


I found this thread the last two posts [by smiffy] seem to be saying the QT 4.8 libraries are not compatible with Snow Leopard. He cites a bug report QTBUG-23157

I've tried looking inside the Marble.app at Marble-1.3.0/Marble.app/Contents/Frameworks/QtCore.framework/Versions/4/QtCore using a Hex editor to try to confirm if Marble is uing Qt 4.8 but I can't confirm it. There are some references to 4.8 within QtCore but I'm not 100% if they mean that Marble is using Qt 4.8.
I think its very likely it is but I can't confirm 100%

So it seems that the issue is most likely because Marble is using Qt4.8 and that Qt4.8 is not compatible with Snow Leopard

I 'm not a developer. I have a very limited understand of coding etc. I think I'm correct but I would very much appreciate it if some one who knows could confirm my reasoning.




On a side note, for the Marble website administrators, it would be very helpful if you could modify the downloads page to put some kind of minimum requirements for the downloads. There isn't any reference to which ver. of OS X the download is supposed to be compatible with: Leopard, Snow Leopard, Lion, Mountain Lion??
User avatar bcooksley
Administrator
Posts
18642
Karma
83
OS
While I am not famliar with OS X packaging of applications, you could try replacing the Qt 4.8 provided within Marble with newer bug fix versions of Qt - which may support Mac OS X Snow Leopard (or if the reverse is true, older versions could be tried - but there is no guarantee of compatibility there).


System Settings and Device Actions KCM maintainer
Image
dionhar
Registered Member
Posts
5
Karma
0
bcooksley wrote:While I am not familiar with OS X packaging of applications...

You and me both. I don't have a clue how to package Qt with Marble for OS X.
But I reckon that's the solution alright: either a newer Qt 4.8 or the older Qt4.7 that was Snow Leopard compatible.

I know this is a KDE forum in general, but this is the right place to post about Marble/Qt/Mac OS X issues, isn't it? I don't want to be posting in the wrong place.
User avatar bcooksley
Administrator
Posts
18642
Karma
83
OS
This is the correct place to be posting about Marble issues, for all platforms to the best of my knowledge.


System Settings and Device Actions KCM maintainer
Image
dionhar
Registered Member
Posts
5
Karma
0
A bug report for this issue has been filed at
https://bugs.kde.org/show_bug.cgi?id=307716

 
Reply to topic

Bookmarks



Who is online

Registered users: afiestas, avishekk, Baidu [Spider], bcooksley, Bing [Bot], bjoernbalazs, brankko, colomar, Cris70, david_edmundson, einar, Exabot [Bot], ggael, Google [Bot], Heiko Tietze, joshaughnessy, ken300, koriun, La Ninje, Majestic-12 [Bot], metalbrick, mmagnusson, ooker, ozim, paulus3005, rossdv8, seal20, starbuck, stavallo, steltsop, steph, SysGhost, valoriez, vHanda, Yahoo [Bot]